#ifndef _PWD_H
#define _PWD_H
/* file to describe password file fields */

#ifndef _COMPILER_H
#include <compiler.h>
#endif

#ifndef _TYPES_H
#include <types.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

struct passwd {
	char *pw_name;
	char *pw_passwd;
	uid_t pw_uid;
	gid_t pw_gid;
	char *pw_gecos;
	char *pw_dir;
	char *pw_shell;
};

#define pw_comment	pw_gecos

__EXTERN struct passwd *getpwent __PROTO((void));
__EXTERN struct passwd *getpwnam __PROTO((const char *));

#ifndef _POSIX_SOURCE
__EXTERN void		setpwfile __PROTO((char *));
# ifdef __MINT__
__EXTERN struct passwd *getpwuid __PROTO((int));
__EXTERN void		setpwent  __PROTO((void));
__EXTERN void		endpwent  __PROTO((void));
# else
__EXTERN struct passwd *getpwuid __PROTO((uid_t));
__EXTERN int		setpwent  __PROTO((void));
__EXTERN int		endpwent  __PROTO((void));
# endif
#endif

#ifdef __cplusplus
}
#endif

#endif /* _PWD_H */
